查询FBA发货计划
POST
/erp/sc/data/fba_report/shipmentPlanLists接口信息
| API Path | 请求协议 | 请求方式 | 令牌桶容量 |
|---|---|---|---|
/erp/sc/data/fba_report/shipmentPlanLists | HTTPS | POST | 1 |
请求参数
sidsstringwidstringpacking_typestringsearch_field_timestringsearch_fieldstringsearch_valuestringstatusstringmidsstringoffsetintegerlengthintegerstart_datestringend_datestring请求cURL示例
curl --location 'https://openapi.lingxing.com/erp/sc/data/fba_report/shipmentPlanLists?access_token=value×tamp=value&sign=value&app_key=value' \
--header 'Content-Type: application/json' \
--data '{
"sids": "",
"wid": "",
"packing_type": "",
"search_field_time": "gmt_create",
"search_field": "create_user",
"search_value": "",
"status": "",
"mids": "",
"offset": 0,
"length": 20,
"start_date": "",
"end_date": ""
}'
返回结果
codeinteger必填messagestring必填request_idstring必填dataarray<object>必填隐藏子属性
ispg_idinteger必填create_timestring必填seqstring必填remarkstring必填create_userstring必填custom_fieldsarray<object>必填隐藏子属性
idstring必填namestring必填val_textstring必填listarray<object>必填隐藏子属性
ispg_idinteger必填isp_idinteger必填logistics_channel_idinteger必填custom_fieldsarray<object>必填隐藏子属性
idstring必填namestring必填val_textstring必填fnskustring必填mskustring必填widinteger必填wnamestring必填sidinteger必填create_timestring必填statusinteger必填packing_typeinteger必填shipment_timestring必填shipment_plan_quantityinteger必填seqstring必填logistics_namestring必填quantity_in_caseinteger必填box_numinteger必填is_relate_mwsinteger必填is_relate_listinteger必填remarkstring必填print_numinteger必填create_userstring必填small_image_urlstring必填order_snstring必填product_namestring必填product_idinteger必填skustring必填pic_urlstring必填is_combointeger必填cg_package_lengthstring必填cg_package_heightstring必填cg_package_widthstring必填cg_box_lengthstring必填cg_box_widthstring必填cg_box_heightstring必填cg_box_weightstring必填cg_box_net_weightstring必填cg_box_gross_weightstring必填is_urgentinteger必填storage_listarray<object>必填隐藏子属性
product_idinteger必填product_valid_numinteger必填product_qc_numinteger必填quantity_receiveinteger必填mws_relatearray<object>必填隐藏子属性
isim_idinteger必填isil_idinteger必填isilm_idinteger必填shipment_plan_snstring必填shipment_mws_snstring必填shipment_list_snstring必填shipment_plan_quantityinteger必填shipment_mws_quantityinteger必填shipment_list_quantityinteger必填is_stastring必填sta_shipment_idstring必填sta_inbound_plan_idstring必填status_namestring必填packing_type_namestring必填diff_numinteger必填snamestring必填nationstring必填lock_statusinteger必填totalinteger必填error_detailsarray<any>必填response_timestring必填返回成功示例
{
"code": 0,
"message": "请求成功",
"require_id": "936D6C3B-D4FE-0F89-9328-FA1D0DF6813B",
"data": [
{
"ispg_id": 181,
"create_time": "2021-09-27 10:27:46",
"seq": "RP210927003",
"remark": "",
"create_user": "吴姗珊",
"custom_fields": [{
"id": "",
"name": "",
"val_text": ""
}],
"list": [{
"ispg_id": 181,
"isp_id": 426,
"logistics_channel_id": 0,
"custom_fields": [{
"id": "",
"name": "",
"val_text": ""
}],
"fnsku": "X000XF6OGV",
"msku": "",
"wid": 68200,
"wname": "012.10",
"sid": 1206,
"create_time": "2021-09-27 10:27:46",
"status": 10,
"packing_type": 1,
"shipment_time": "",
"shipment_plan_quantity": 2000,
"seq": "RP210927003",
"logistics_name": "",
"quantity_in_case": 2000,
"box_num": 1,
"is_relate_mws": 1,
"is_relate_list": 1,
"remark": "",
"print_num": 0,
"create_user": "吴姗珊",
"small_image_url": "",
"order_sn": "R210927006",
"product_name": "辅料管理5",
"product_id": 89981,
"sku": "辅料管理5",
"pic_url": "",
"is_combo": 0,
"cg_package_length": "",
"cg_package_height": "",
"cg_package_width": "",
"cg_box_length": "",
"cg_box_width": "",
"cg_box_height": "",
"cg_box_weight": "",
"cg_box_net_weight": "",
"cg_box_gross_weight": "",
"is_urgent": 0,
"storage_list": [{
"product_id": 89981,
"product_valid_num": 6000,
"product_qc_num": 0,
"quantity_receive": 0
}],
"mws_relate": [{
"isim_id": 11039,
"isil_id": 1034,
"isilm_id": 3495,
"shipment_plan_sn": "R210927006",
"shipment_mws_sn": "FBA15CS95XDX",
"shipment_list_sn": "SP210927003",
"shipment_plan_quantity": 2000,
"shipment_mws_quantity": 2000,
"shipment_list_quantity": 2000,
"is_sta": "",
"sta_shipment_id": "",
"sta_inbound_plan_id": ""
}],
"status_name": "已处理",
"packing_type_name": "混装",
"diff_num": 4000,
"sname": "AK-quanqiu-JP-test7-JP",
"nation": "日本",
"lock_status": 1
}]
}],
"total": 179
"error_details": [],
"response_time": ""
}